#ifndef DATA_CPP
#define DATA_CPP

#include "data.hpp"

namespace Prgm
{
	namespace Window
	{
		unsigned int Width = 0;
		unsigned int Height = 0;
		
		unsigned int MilieuX = 0;
		unsigned int MilieuY = 0;
		
		sf::RenderTarget* App = NULL;
	}
	
	namespace ElementsInterface
	{
		double AvancementChargement = 0;
		
		const sf::Input* Input;
		Interface::Interface* interface = NULL;
	}
	
	namespace Monde
	{
		unsigned int Largeur = 100;
		unsigned int Hauteur = 100;
		double Pesanteur = 9.81;
	}
	
	namespace Terrains
	{
		unsigned int Largeur = 16;
		unsigned int Hauteur = 16;
		
		unsigned int CoteCarte = 64;
		unsigned int LargeurBoutDeMonde = 1024;
		unsigned int HauteurBoutDeMonde = 1024;
	}
	
	namespace Ressources
	{
		unsigned int CoteIcone = 24;
	}
	
	namespace TerRessources
	{
		unsigned int Largeur = 16;
		unsigned int Hauteur = 16;
	}
	
	namespace Objets
	{
		unsigned int CoteIcone = 24;
	}
	
	namespace Batiments
	{
		sf::Sprite* SpriteConstructionPossible = NULL;
		sf::Sprite* SpriteConstructionImpossible = NULL;
		unsigned int CoteSpriteBouton = 28;
		unsigned int CoteBouton = 28;
		unsigned int NombreLignesPanneau = 1;
		sf::Sprite* DebutConstruction = NULL;
	}
	
	namespace Personnage
	{
		unsigned int Largeur = 24;
		unsigned int Hauteur = 32;
		unsigned int LargeurSprite = 24;
		unsigned int HauteurSprite = 32;
		double PasParSeconde = 7;
		sf::Image* ImageDefaut = NULL;
	}
	
	namespace SFenetres
	{
		double Marges = 10;
		
		double TailleTexteTitre = 15;
		double OrdonneeTitre = 15;
		
		double TailleTexte = 12;
		sf::Sprite* Sprite = NULL;
		
		namespace Batiment
		{
			double TailleTexteNom = 14;
			double OrdonneeNom = 30;
			
			double AbscsisseListes = 20;
			double OrdonneeListes = 60;
			
			double LargeurColoneNoms = 200;
			double EspaceInterligne = 10;
			
			sf::Sprite* TransformationRessources = NULL;
			sf::Sprite* FabricationObjets = NULL;
			unsigned int CoteBoutonTransformationFabrication = 24;
			double AbscisseBoutonTransformationFabrication = 240;
			double OrdonneeBoutonTransformationFabrication = 30;
			
			double AbscisseQuantiteRessourceATransformer = 10;
			double OrdonneeQuantiteRessourceATransformer = 30;
		}
		
		namespace Inventaire
		{
			sf::Sprite* SpriteGrilleObjets = NULL;
			double CoteCellule = 32;
			double AbscisseGrilleObjets = 10;
			double OrdonneeGrilleObjets = 90;
			double MargeSuperieureGrilleObjets = 10;
			unsigned int NombreLignes = 8;
			unsigned int NombreColones = 9;
		}
	}
	
	namespace Textes
	{
		sf::Sprite* Fond = NULL;
	}
	
	namespace Curseurs
	{
		unsigned int CoteSprite = 24;
		unsigned int Cote = 24;
		sf::Image* Image = NULL;
	}
	
	namespace Fleches
	{
		sf::Sprite* FlecheGauche = NULL;
		sf::Sprite* FlecheDroite = NULL;
		double Cote = 32;
	}
	
	namespace BarresChargement
	{
		double Largeur = 100;
		double Hauteur = 20;
		double EpaisseurContours = 2;
		double Ecart = 10;
		double MargeVerticale = 5;
		double MargeHorizontale = 5;
		double TailleTexte = 15;
	}
}

#endif
