#ifndef RACE_CPP
#define RACE_CPP

#include "race.hpp"

namespace GS
{
	Race::Race()
	{
		static unsigned int id;
		mId = id;
		id++;
	}

	Race::~Race()
	{
	}
	
	
	void
	Race::SetDescription(const std::string description)
	{
		mDescription = description;
	}
	
	void
	Race::SetDenominationSingulierMasculin(const std::string denomination)
	{
		mDenominationSingulierMasculin = denomination;
	}
	
	void
	Race::SetDenominationSingulierFeminin(const std::string denomination)
	{
		DenominationSingulierFeminin = denomination;
	}
	
	void
	Race::SetDenominationPlurielMasculin(const std::string denomination)
	{
		DenominationPlurielMasculin = denomination;
	}
	
	void
	Race::SetDenominationPlurielFeminin(const std::string denomination)
	{
		DenominationPlurielFeminin = denomination;
	}
	
}

#endif
